Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 594072 - "pkg-config --libs OpenIPMIpthread" fails
"pkg-config --libs OpenIPMIpthread" fails
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: OpenIPMI (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: ---
Assigned To: Jan Safranek
Alex Sersen
:
Depends On: 591646
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-20 09:43 EDT by Jan Safranek
Modified: 2013-10-31 21:33 EDT (History)
5 users (show)

See Also:
Fixed In Version: OpenIPMI-2.0.16-11.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 591646
Environment:
Last Closed: 2010-11-10 17:06:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Safranek 2010-05-20 09:43:27 EDT
+++ This bug was initially created as a clone of Bug #591646 +++

Description of problem:
copied from http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=474087

# pkg-config --libs OpenIPMIpthread
Package pthread was not found in the pkg-config search path.
Perhaps you should add the directory containing `pthread.pc'
to the PKG_CONFIG_PATH environment variable
Package 'pthread', required by 'OpenIPMIpthread', not found

Please remove bogus pthread from Requires:
in /usr/lib/pkgconfig/OpenIPMIpthread.pc
and add -pthread to Cflags:

Version-Release number of selected component (if applicable):
both F-9 and F-10 have the issue:
OpenIPMI-devel-2.0.14-2.1.fc9
OpenIPMI-devel-2.0.14-4.fc10


How reproducible:
always

Steps to Reproduce:
1. try to build collectd-4.4.4 with --enable-ipmi
2. see http://koji.fedoraproject.org/koji/getfile?taskID=895839&name=build.log
3.
  
Actual results:
   libopenipmi . . . . no (/usr/bin/pkg-config doesn't know OpenIPMIpthread)

Expected results:
   libopenipmi detected

Additional info:

--- Additional comment from quantumburnz@hotmail.com on 2008-10-22 22:04:03 EDT ---

Thank you for the bug report.  At the moment, the Fedora developers are
busy fixing other issues and may not have time to work on this one.  The
best way to make sure your problem will get looked on is to report it to
the authors of the program. Most upstream authors use a bug tracking system
like bugzilla, and more people who know the code will be looking at the
bug report there.

The upstream bug tracking system to use is:
http://sourceforge.net/tracker/?group_id=36127&atid=416301

You are requested to add the bugzilla link here for tracking purposes.
Please make sure the bug isn't already in the upstream bug tracker
before filing it.

--- Additional comment from apevec@redhat.com on 2008-10-23 04:28:55 EDT ---

http://sourceforge.net/tracker/index.php?func=detail&aid=2188750&group_id=36127&atid=416301
Comment 1 RHEL Product and Program Management 2010-05-20 09:56:41 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 releng-rhel@redhat.com 2010-11-10 17:06:44 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.